/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\Infection.cs
Lines of code: 51

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{
	public class Infection : Pike
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public Infection()
	 	{
	 	 	Name = "Infection";
	 	 	Hue = 1272;
			Attributes.AttackChance = 30;
			Attributes.BonusDex = 5;
			Attributes.WeaponDamage=50;
			WeaponAttributes.UseBestSkill=1;
			Slayer=SlayerName.Repond;

			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=100;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
	 	}
		

	 	public Infection(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 1 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
			
			if(version==0)
			{
				Attributes.AttackChance = 30;
				Attributes.BonusDex = 5;
				WeaponAttributes.ResistPoisonBonus = 0;
				WeaponAttributes.HitPoisonArea=0;	
				Attributes.WeaponDamage=50;		
				WeaponAttributes.UseBestSkill=1;	
				Slayer=SlayerName.Repond;		

				if(PoisonCharges>14)PoisonCharges=14;
			}
	 	}
		
	}
}
